define('jls/lang/IllegalArgumentException', ['jls/lang/Class', 'jls/lang/Exception'], function (Class, Exception) {

var IllegalArgumentException;
/**
 * @name jls.lang.IllegalArgumentException
 * @augments jls.lang.Exception
 * @class Thrown to indicate that a method has been passed an illegal or inappropriate argument.
 */
IllegalArgumentException = Class.create(Exception, /** @lends jls.lang.IllegalArgumentException.prototype */
{
    initialize : function($super, message, cause) {
        $super(message, cause);
    }
});

return IllegalArgumentException;
});
